@import "~sass/media";
@import "~sass/variables";
.app-componant {
  background-color: $quaternary;
}
.app-componant .container {
  @include for-size(l1366-1439) {
    padding-left: 10px;
  }
}
.router-wrap {
  margin-top: 163px;
  background-color: $teritary;
  margin-bottom: 60px;
  padding-bottom: 20px;
  @include for-size(tablet-portrait-up) {
    margin-top: 130px;
  }
  @include for-size(tablet-landscape-up) {
    margin-top: 165px;
  }
  @include for-size(phone-only) {
    margin-top: 128px;
    margin-bottom: 15px;
  }
  @include for-size(mobile-lanscape) {
    margin-top: 165px;
    margin-bottom: 15px;
  }
  @media (min-width: 769px) and (max-width: 800px) {
    margin-top: 170px;
  }
}
@media (min-width: 320px) and (max-width: 767px) {
  .router-wrap,
  .r-mobile {
    //padding-left: 0;
    // padding-right: 0;
  }
  .scroll-up-cont {
    bottom: 70px !important;
  }
}
.scroll-up-cont {
  position: fixed;
  bottom: 30px;
  right: 20px;
  .scrollUpCircle {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: $primary-color;
    cursor: pointer;
    box-shadow: 0 5px 10px #777777;
    // animation-delay: 0.3s;
    // animation: shakeScroll ease-in 2000ms infinite;
    opacity: 0.65;
    // transition: opacity 0.25s;
    &:hover {
      opacity: 1;
    }
    i {
      color: #000;
      font-size: 20px;
      -webkit-transform: rotate(270deg);
      transform: rotate(270deg);
    }
  }
  @include for-size(phone-only){
    display: none;
  }
}
@keyframes shakeScroll {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(10px);
  }
  100% {
    transform: translateY(0);
  }
}
